Highlighted
Absent Member.
Absent Member.
246 views

Upgrade Path for IDM Remote Loader

Hello,

I am migrating my environment from IDM 4.0.2.7 to IDM 4.6.3. I have a
JDBC driver that connects to a remote loader running on a Windows
server. The readme doc for IDM 4.6 says that I cannot migrate directly
to IDM 4.6 from an IDM version earlier than 4.5.5. Is this true for
remote loaders, or does it only apply to the engine server?

Thanks


Labels (1)
0 Likes
6 Replies
Highlighted
Knowledge Partner
Knowledge Partner

Re: Upgrade Path for IDM Remote Loader

On 3/25/2019 10:54 AM, 6423241 wrote:
> Hello,
>
> I am migrating my environment from IDM 4.0.2.7 to IDM 4.6.3. I have a
> JDBC driver that connects to a remote loader running on a Windows
> server. The readme doc for IDM 4.6 says that I cannot migrate directly
> to IDM 4.6 from an IDM version earlier than 4.5.5. Is this true for
> remote loaders, or does it only apply to the engine server?


Remote loaders, not so much. The issue you will have is that the JVM
that the engine and RL use need to mostly match, in terms of the SSL/TLS
versions they support as well as ciphers.

I.e. At some point they disabled SSL, so if your engine is doing SSL and
the RL only supports TLS it will fail to connect.



0 Likes
Highlighted
Absent Member.
Absent Member.

Re: Upgrade Path for IDM Remote Loader

Geoffrey Carman,
>>
>> I am migrating my environment from IDM 4.0.2.7 to IDM 4.6.3. I have a
>> JDBC driver that connects to a remote loader running on a Windows
>> server. The readme doc for IDM 4.6 says that I cannot migrate directly
>> to IDM 4.6 from an IDM version earlier than 4.5.5. Is this true for
>> remote loaders, or does it only apply to the engine server?

>
> Remote loaders, not so much.  The issue you will have is that the JVM
> that the engine and RL use need to mostly match, in terms of the SSL/TLS
> versions they support as well as ciphers.
>
> I.e. At some point they disabled SSL, so if your engine is doing SSL and
> the RL only supports TLS it will fail to connect.
>
>


I already have a 4.6.3 engine server in my driver set. I am migrating
the drivers one at a time. It sounds like I should be okay as long as I
move the driver to the new server concurrent with upgrading the remote
loader... ?

Thanks




0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: Upgrade Path for IDM Remote Loader

On 3/25/2019 1:13 PM, 6423241 wrote:
> Geoffrey Carman,
>>>
>>> I am migrating my environment from IDM 4.0.2.7 to IDM 4.6.3. I have a
>>> JDBC driver that connects to a remote loader running on a Windows
>>> server. The readme doc for IDM 4.6 says that I cannot migrate
>>> directly to IDM 4.6 from an IDM version earlier than 4.5.5. Is this
>>> true for remote loaders, or does it only apply to the engine server?

>>
>> Remote loaders, not so much.  The issue you will have is that the JVM
>> that the engine and RL use need to mostly match, in terms of the
>> SSL/TLS versions they support as well as ciphers.
>>
>> I.e. At some point they disabled SSL, so if your engine is doing SSL
>> and the RL only supports TLS it will fail to connect.
>>
>>

>
> I already have a 4.6.3 engine server in my driver set. I am migrating
> the drivers one at a time. It sounds like I should be okay as long as I
> move the driver to the new server concurrent with upgrading the remote
> loader... ?


That is possibly the easiest way to do it. Once you get an RL with TLS
I Am pretty sure it can use even the latest engine, and vica versa.


0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: Upgrade Path for IDM Remote Loader

Geoffrey Carman wrote:

> Once you get an RL with TLS I Am pretty sure it can use even the latest
> engine, and vica versa.


-->
https://www.netiq.com/documentation/identity-manager-47/remoteloader_engine_version_comp_table/data/remoteloader_engine_version_comp_table.html

--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)
______________________________________________
https://www.is4it.de/identity-access-management
0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: Upgrade Path for IDM Remote Loader

On 3/25/2019 3:02 PM, Lothar Haeger wrote:
> Geoffrey Carman wrote:
>
>> Once you get an RL with TLS I Am pretty sure it can use even the latest
>> engine, and vica versa.

>
> -->
> https://www.netiq.com/documentation/identity-manager-47/remoteloader_engine_version_comp_table/data/remoteloader_engine_version_comp_table.html


Well that is mighty helpful.


0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: Upgrade Path for IDM Remote Loader

Extra complexity during migration to the new version of Remote Loader also can be related to switching from internal use of MapDB to ZoomDB.
Some driver SHIMs designed to work with MapDB can have issues to start.
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.